.large-txt {
  font-size: 3rem;
  font-weight: bold;
  line-height: 3rem;
  text-transform: uppercase;
  text-align: center;
}

.movies-container {
  padding-top: 2rem;
  padding-bottom: 2rem;
  color: #eee;
}

.description {
  max-width: 75ch;
  text-align: center;
}

.movies-flex {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  justify-content: center;
  align-items: flex-start;
  gap: 1rem;
}

.movie-card {
  width: 220px;
  padding-bottom: 1rem;
  border-top-left-radius: 10px;
  border-top-right-radius: 10px;
  border-bottom-left-radius: 5px;
  border-bottom-right-radius: 5px;
  background-color: #222;
  color: #eee;
  text-align: center;

  display: flex;
  flex-direction: column;
  cursor: pointer;

  position: relative;
}

.movie-card h2 {
  font-size: 1.3rem;
  font-weight: 500;
  text-transform: capitalize;
  margin-bottom: 0;
  line-height: 1.4rem;
}

.poster-img {
  width: 100%;
  height: 291px;
  object-fit: cover;
  margin-bottom: 1rem;
  overflow: hidden;
  border-top-left-radius: 10px;
  border-top-right-radius: 10px;
  //   border: #dcb933 2px solid;
}

.image__img {
  display: block;
  width: 100%;
  height: 100%;
  background-size: cover;
}

.image__overlay {
  border-radius: 5px;
  position: absolute;
  top: 0;
  left: 0;
  padding: 1rem;
  width: 100%;
  height: 291px;
  background: rgb(255, 199, 125, 0.8);
  color: #000;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  transition: opacity 0.25s;
}

// at start
.image__overlay {
  opacity: 0;
}

// on hover
.image__overlay:hover {
  opacity: 1;
}

.image__description {
  overflow: hidden;
  text-overflow: ellipsis;
  max-height: 270px;
}

.my-paginator {
  border-radius: 5px;
  margin-bottom: 1rem;
  width: 300px;
  color: #eee;
  background-color: #ff6f00;
  font-weight: 700;
}

.zoom {
  transition: transform 0.2s; /* Animation */
  margin: 0 auto;
}

.zoom:hover {
  transform: scale(1.05);
}
